package ucar.nc2.adde;

import ucar.nc2.dataset.*;

/**
 * thredds:file:///c:/dev/netcdf-java-2.2/test/data/catalog/addeStationDataset.xml#AddeSurfaceData
 * thredds:file:test/data/catalog/addeStationDataset.xml#AddeSurfaceData
 */
public class AddeDatasetFactory {
  static private boolean debugOpen = false;
  // private StringBuffer log;

  // public String getErrorMessages() { return log == null ? "" : log.toString(); }

  static public NetcdfDataset openDataset( String location, ucar.nc2.util.CancelTask task) throws java.io.IOException {
    // log = new StringBuffer();

    if (location.indexOf("point") >= 0)
      return new AddeStationDataset(location, task);

    return null;
  }

}
